#!/bin/sh

if [ ! -e "$1" ]; then
	echo "$0 index.html (equivalen starting page), read documentation :P"
	exit;
fi

referral=`sed -e 's/.*href="\(.*\)">/\1\n/p' $1 | grep "\.html"`

rm -f stegocode.list* || {
	echo "rm -f stegocode.list* FAIL!"
	exit
}

for i in $referral; do
	echo -en "."
	basepage=`echo $i |sed -e's/\/.*//'g`
	pages=`sed -e 's/.*HREF="\(.*\)">/\1\n/p' $i | grep "[0-9]\.html"`
	for p in $pages; do echo "$i $basepage/$p" >> stegocode.list.tmp ; done
done

if [ ! -f stegocode.list.tmp ]; then
	echo "temporany 'stegocode.list.tmp' file not created!"
	exit
fi

maxnum=`wc -l < stegocode.list.tmp`
echo -en "\nbuilding stegocode.list with $maxnum lines before sort | uniq\n"

sort stegocode.list.tmp | uniq | nl -w 1 > stegocode.list

sortnum=`wc -l < stegocode.list`
echo -en "sorted and uniqed number of stegocode is $sortnum\n"
rm -f stegocode.list.tmp
